"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = void 0;
const plugin_1 = __importDefault(require("vue-loader/lib/plugin"));
exports.config = {
    resolve: {
        extensions: ['.ts', '.js', '.vue', '.json'],
        modules: module.paths,
    },
    resolveLoader: {
        modules: module.paths,
    },
    module: {
        rules: [
            {
                test: /\.vue$/,
                use: [
                    {
                        loader: 'vue-loader',
                        options: {
                            compilerOptions: {
                                preserveWhitespace: false,
                            },
                            optimizeSSR: false,
                        },
                    },
                ],
            },
            {
                test: /\.(png|jpe?g|gif|webp)(\?.*)?$/i,
                loader: 'url-loader',
                options: {
                    limit: 4096,
                    esModule: false,
                    fallback: {
                        loader: 'file-loader',
                        options: {
                            name: '/img/[name].[contenthash:4].[ext]',
                        },
                    },
                },
            },
            {
                test: /\.(woff2?|eot|ttf|otf|woff2)(\?.*)?$/i,
                loader: 'url-loader',
                options: {
                    limit: 4096,
                    esModule: false,
                    fallback: {
                        loader: 'file-loader',
                        options: {
                            name: '/font/[name].[contenthash:4].[ext]',
                        },
                    },
                },
            },
            {
                test: /\.(mp4|webm|ogg|mp3|wav|flac|aac)(\?.*)?$/i,
                loader: 'url-loader',
                options: {
                    limit: 4096,
                    esModule: false,
                    fallback: {
                        loader: 'file-loader',
                        options: {
                            name: '/media/[name].[contenthash:4].[ext]',
                        },
                    },
                },
            },
        ],
    },
    plugins: [new plugin_1.default()],
};
